This queue is for tickets about the CPAN CPAN distribution.

Report information
The Basics
Id:
18438
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
mf [...] mfedv.net
Cc:
AdminCc:

BugTracker
Severity:
Important
Broken in:
  • 1.80
  • 1.81
  • 1.83
  • 1.84
  • 1.87
Fixed in:
(no value)



Subject: fix for dependency resolution
System Info (probably not related): perl5.8.8, NetBSD2.1/alpha Hello, there is an issue with dependency resolution in CPAN.pm, starting with v1.80. When I install a module snapshot from an active amavisd/SpamAssassin system an a fresh Perl installation, it will always need several iterations of "install Snapshot_..." to really install all of the modules therein. v1.76 (as distributed with Perl 5.8.8) runs fine. If necessary, I can provide complete output of the snapshot install for CPAN versions 1.76, 1.80, 1.81, 1.83, 1.84, 1.86, 1.87. Thought it might be a bit to long to post here :-) Actually, I do not know anything about the dependency resolution in CPAN, but from diffing between v1.76 and v1.87 I found a suspect change, removed it, and now it works. The attached file is a diff for v1.87 to comment away 2 lines: --- CPAN.pm.orig 2006-03-23 23:51:03.000000000 +0100 +++ CPAN.pm 2006-03-28 14:19:28.000000000 +0200 @@ -5112,8 +5112,8 @@ if (exists $self->{later} and length($self->{later})) { if ($self->unsat_prereq) { push @e, $self->{later}; - } else { - delete $self->{later}; +# } else { +# delete $self->{later}; } } With this change, the snapshot installation works again, exactly as it did in v1.76. Best regards Matthias Ferdinand
Subject: CPAN.dif

Message body not shown because it is not plain text.

Subject: Re: [rt.cpan.org #18438] fix for dependency resolution
Date: Sat, 22 Jul 2006 14:31:57 +0200
To: bug-CPAN@rt.cpan.org
From: andreas.koenig.gmwojprw@franz.ak.mind.de (Andreas J. Koenig)
Show quoted text
>>>>> On Wed, 29 Mar 2006 16:07:58 -0500 (EST), "Guest via RT" <bug-CPAN@rt.cpan.org> said:
Show quoted text
> Wed Mar 29 16:07:57 2006: Request 18438 was acted upon. > Transaction: Ticket created by guest > Queue: CPAN > Subject: fix for dependency resolution > Owner: Nobody > Requestors: mf@mfedv.net > Status: new > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=18438 >
Show quoted text
> System Info (probably not related): perl5.8.8, NetBSD2.1/alpha
Show quoted text
> Hello,
Show quoted text
> there is an issue with dependency resolution in CPAN.pm, starting with > v1.80. When I install a module snapshot from an active > amavisd/SpamAssassin system an a fresh Perl installation, it will always > need several iterations of "install Snapshot_..." to really install all > of the modules therein. v1.76 (as distributed with Perl 5.8.8) runs fine.
Show quoted text
> If necessary, I can provide complete output of the snapshot install for > CPAN versions 1.76, 1.80, 1.81, 1.83, 1.84, 1.86, 1.87. Thought it might > be a bit to long to post here :-)
Show quoted text
> Actually, I do not know anything about the dependency resolution in > CPAN, but from diffing between v1.76 and v1.87 I found a suspect change, > removed it, and now it works.
Show quoted text
> The attached file is a diff for v1.87 to comment away 2 lines: > --- CPAN.pm.orig 2006-03-23 23:51:03.000000000 +0100 > +++ CPAN.pm 2006-03-28 14:19:28.000000000 +0200 > @@ -5112,8 +5112,8 @@ > if (exists $self->{later} and length($self->{later})) { > if ($self->unsat_prereq) { > push @e, $self->{later}; > - } else { > - delete $self->{later}; > +# } else { > +# delete $self->{later}; > } > }
Show quoted text
> With this change, the snapshot installation works again, exactly as it > did in v1.76.
Show quoted text
> Best regards > Matthias Ferdinand
Thanks for the thourough analyisis. It seems to me that you're right and I apply your patch now. Will appear in 1.87_53 in the next hours. But I must admit that I currently do not understand the issue fully, so maybe I need to revisit it soonish. -- andreas
CC: undisclosed-recipients:;
Subject: Re: [rt.cpan.org #18438] fix for dependency resolution
Date: Sat, 22 Jul 2006 14:31:51 +0200
To: bug-CPAN@rt.cpan.org
From: andreas.koenig.gmwojprw@franz.ak.mind.de (Andreas J. Koenig)
Show quoted text
>>>>> On Wed, 29 Mar 2006 16:07:58 -0500 (EST), "Guest via RT" <bug-CPAN@rt.cpan.org> said:
Show quoted text
> Wed Mar 29 16:07:57 2006: Request 18438 was acted upon. > Transaction: Ticket created by guest > Queue: CPAN > Subject: fix for dependency resolution > Owner: Nobody > Requestors: mf@mfedv.net > Status: new > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=18438 >
Show quoted text
> System Info (probably not related): perl5.8.8, NetBSD2.1/alpha
Show quoted text
> Hello,
Show quoted text
> there is an issue with dependency resolution in CPAN.pm, starting with > v1.80. When I install a module snapshot from an active > amavisd/SpamAssassin system an a fresh Perl installation, it will always > need several iterations of "install Snapshot_..." to really install all > of the modules therein. v1.76 (as distributed with Perl 5.8.8) runs fine.
Show quoted text
> If necessary, I can provide complete output of the snapshot install for > CPAN versions 1.76, 1.80, 1.81, 1.83, 1.84, 1.86, 1.87. Thought it might > be a bit to long to post here :-)
Show quoted text
> Actually, I do not know anything about the dependency resolution in > CPAN, but from diffing between v1.76 and v1.87 I found a suspect change, > removed it, and now it works.
Show quoted text
> The attached file is a diff for v1.87 to comment away 2 lines: > --- CPAN.pm.orig 2006-03-23 23:51:03.000000000 +0100 > +++ CPAN.pm 2006-03-28 14:19:28.000000000 +0200 > @@ -5112,8 +5112,8 @@ > if (exists $self->{later} and length($self->{later})) { > if ($self->unsat_prereq) { > push @e, $self->{later}; > - } else { > - delete $self->{later}; > +# } else { > +# delete $self->{later}; > } > }
Show quoted text
> With this change, the snapshot installation works again, exactly as it > did in v1.76.
Show quoted text
> Best regards > Matthias Ferdinand
Thanks for the thourough analyisis. It seems to me that you're right and I apply your patch now. Will appear in 1.87_53 in the next hours. But I must admit that I currently do not understand the issue fully, so maybe I need to revisit it soonish. -- andreas
Patch is integrated into 1.87_53


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.